Subject: bug#77537: closed (Re: [PATCH 0/2] gnu: netcdf-cxx4: Move netcdf to the propagated-inputs)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 07 Apr 2025 12:48:02 +0000

Your bug report

#77537: [PATCH 0/2] gnu: netcdf-cxx4: Move netcdf to the propagated-inputs

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
77537: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=77537
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH 0/2] gnu: netcdf-cxx4: Move netcdf to the propagated-inputs
From: Andreas Enge <[email-masked]>
To: Luca Cirrottola <[email-masked]>
Cc: [email-masked]
Date: Mon, 7 Apr 2025 14:47:33 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Am Mon, Apr 07, 2025 at 01:55:06PM +0200 schrieb Luca Cirrottola:
> Here it is less ambiguous, netcdf-cxx4 cannot live without netcdf and there
> is no other implementation that could be used at runtime.

yes, I agree.

> For the future, should I interpret a propagated input as "something that is
> needed runtime, and should not be replaced by another implementation"?

I think mpi is really special in this respect, I am not aware of other
software in the same category. And "needed at runtime" is not enough.
As written before, there is usually no problem with libraries for which
we set the rpath to an absolute path in the store. Well, then usually
the dependency sneaks in through include files.

Closing this issue.

Andreas

Subject: [PATCH 0/2] gnu: netcdf-cxx4: Move netcdf to the propagated-inputs
From: Luca Cirrottola <[email-masked]>
To: [email-masked]
Cc: Luca Cirrottola <[email-masked]>
Date: Fri, 4 Apr 2025 18:28:54 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix,
since "netcdf-cxx4" is a C++ interface to the C library "netcdf", I think the
latter should be a propagated input.
Similarly, since "hdf5-parallel-openmpi" includes mpi.h in the hdf5.h
header file, then "openmpi" should be a propagated input of
"hdf5-parallel-openmpi".
Let me know what you think.
Cheers,
Luca

Luca Cirrottola (2):
  gnu: hdf5-parallel-openmpi: move openmpi to the propagated-inputs.
  gnu: netcdf-cxx4: Move netcdf to the propagated-inputs.

 gnu/packages/maths.scm | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

base-commit: 111aacf22fdc0314f41b737106ad70c1899a58e7
-- 
2.34.1